## impressive 0.10.3+svn61

=== Makefile ===
all: impressive.py man demo

man: impressive.1

impressive.1: site/impressive.html html2man.py
	python html2man.py -O $@ site/impressive.html

demo: demo.pdf

test: impressive.py demo.pdf
	xvfb-run -s "-screen 0 640x480x24 -ac +extension GLX +render -noreset" ./impressive.py -I alltrans.info -a 1 -Q demo.pdf

test-demo: demo
	xpdf demo.pdf &

release:
	sh makerelease.sh

%.pdf:	%.tex
	pdflatex -halt-on-error $<
	pdflatex -halt-on-error $<

impressive.py: compile.py impressive_dev.py src/*.py
	python compile.py
	chmod +x $@

clean:
	rm -f *.nav *.out *.snm *.toc *.vrb *.aux *.log *.pyc *.pyo

distclean: clean
	rm -f demo.pdf impressive.1 impressive.py

.PHONY: all man demo test test-demo release clean distclean

## impressive 0.10.5

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,16 @@
 impressive.1: site/impressive.html html2man.py
 	python html2man.py -O $@ site/impressive.html
 
+test-man: impressive.1
+	man -l $<
+
 demo: demo.pdf
 
 test: impressive.py demo.pdf
 	xvfb-run -s "-screen 0 640x480x24 -ac +extension GLX +render -noreset" ./impressive.py -I alltrans.info -a 1 -Q demo.pdf
 
 test-demo: demo
-	xpdf demo.pdf &
+	mupdf -r150 demo.pdf &
 
 release:
 	sh makerelease.sh
@@ -26,8 +29,10 @@
 
 clean:
 	rm -f *.nav *.out *.snm *.toc *.vrb *.aux *.log *.pyc *.pyo
+	rm -rf win32/mplayer
 
 distclean: clean
 	rm -f demo.pdf impressive.1 impressive.py
+	rm -rf dist
 
-.PHONY: all man demo test test-demo release clean distclean
+.PHONY: all man test-man demo test-demo test release clean distclean

## impressive 0.11.1

=== debian/changelog ===
impressive (0.11.1-1) unstable; urgency=medium

  * Recent upstream release
    - should resolve compatibility with PIL 3.0 issue (Closes:#808212)
  * debian/control
    - untabified *Depends
    - boosted policy to 3.9.6
    - no need in {python:Depends} and no need to build anything pythonish
      in debian/rules
    - source format 3.0 (quilt) now
  * debian/patches/up_overscan - added '=' in option spec. Thanks Jim Paris
    (Closes: #706122)
  * lintian override to not demand python-support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Dec 2015 21:53:47 -0500

impressive (0.10.5-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 May 2014 09:32:33 -0400

impressive (0.10.3+svn61-2) unstable; urgency=low

  [ Hideki Yamane ]
  * debian/control
    - add "Build-Depends: texlive-pictures" to fix FTBFS (Closes: #746144)

  [ Yaroslav Halchenko ]
  * Move perl (used by 3rd party impressive-gettransitions) to Recommends
    from Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 May 2014 09:48:52 -0400

impressive (0.10.3+svn61-1) unstable; urgency=low

  * Fresh upstream snapshot
    - new --spot-radius, --clock cmdline options
    - half-screen mode, partially addresses #551778
    - various fixes
    - compatibility with pdftk 1.45 and PIL (Pillow fork)
  * Refreshing the packaging
    - migrated to dh7
    - no pysupport needed
    - dropping transitional keyjnote package and some obsolete
      alternative dependecies
    - adding xvfb, xauth, python-opengl, python-pygame, python-imaging, and
      libgl1-mesa-dri to Build-Depends to facilitate build-time smoke testing
    - boosted policy to 3.9.4 (no further changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 18 May 2013 13:00:52 -0400

impressive (0.10.3-2) unstable; urgency=low

  * Upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Feb 2012 19:39:17 -0500

impressive (0.10.3-1) experimental; urgency=low

  * New upstream release.
  * [22e12d6] Move ghostscript (remove -x) into Suggests from Recommends
    (Closes: #599650)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 31 Oct 2010 22:52:43 -0400

impressive (0.10.3~WIP+svn31-1) unstable; urgency=low

  * Fresh snapshot from upstream SVN (revision 31), fixing issue with audio.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Apr 2010 08:36:32 -0400

impressive (0.10.3~WIP+svn30-1) unstable; urgency=low

  * Fresh snapshot from upstream SVN (revision 30), which includes new
    features and few bug fixes:
     - Adopted patch from Junichi Uekawa (Closes: #507877). Thanks Junichi!
     - Fixed reloading issue (Closes: #509243). Thanks Junichi for reporting.
     - Fixed a bunch of problems related to non-standard aspect ratios 
       (Closes: #510625, #572995).
       Thanks Benoit Triquet for a tentative patch for 510625.
     - Fixes PDF hyperlinks parsing (Closes: #572969)
     - Stable caption handling (Closes: #576292)
  * Adapt for migration of pdftoppm from xpdf-reader to xpdf-utils in
    3.02-2 version (Closes: #565799).

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Apr 2010 18:06:08 -0400

impressive (0.10.2r-6) unstable; urgency=low

  * Abandoning X[SB]-P-V since they aren't really required if all Python
    versions are supported.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Feb 2010 22:16:36 -0500

impressive (0.10.2r-5) unstable; urgency=low

  * Fix "XS-P-V: current and Python 2.6 as default", adopted >= 2.4 value for
    XS-Python-Version. Thanks Sandro Tosi for getting Debian ready for switch
    to 2.6 (Closes: #570584).
  * boosting policy to 3.8.3 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 19 Feb 2010 17:27:14 -0500

impressive (0.10.2r-4) unstable; urgency=low

  * Lowering priority for transition package keyjnote from optional to extra
    (should make ftpmaster happier since it is extra already in
    overrides).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 16 Jan 2010 10:56:15 -0500

impressive (0.10.2r-3) unstable; urgency=low

  [ Tanguy Ortolo ]
  * BF: improved manpage for impressive-gettransitions (Closes: #564757)
  * BF: fixing manpage generation under UTF8 environment (closes:
    #564766)

  [ Yaroslav Halchenko ]
  * debian/control
    - adding ${misc:Depends}
    - boosting policy to 3.8.3 -- no changes
  * debian/copyright
    - referencing versioned GPL-2

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 16 Jan 2010 09:49:08 -0500

impressive (0.10.2r-2) unstable; urgency=low

  * Resolving problems which forbid impressive to pass through NEW:
    - fixing debian/copyright to match upstream: GPLv2 firm
    - adding the source for the demo.pdf
    - added missing copyright holders into debian/copyright
    - building demo.pdf from the shipped with debian .tex source

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 05 Dec 2008 12:57:16 -0500

impressive (0.10.2r-1) unstable; urgency=low

  * New Upstream Version (version suffix 'r' stands for 'r'enamed to
    provide proper Replaces):
    - Project was renamed to impressive
    - Manpage is shipped by the upstream (closes: #482581)
  * Migrated VCS for the packaging into git, added Vcs fields to
    debian/control.
  * Boosted policy to 3.8.0 (no changes needed)
  * Removed obsolete manpage since upstream ships manpage now
  * Changed gs -> ghostscript-x in Recommends
  * Created transitional package keyjnote

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 23 Nov 2008 19:50:31 -0500

keyjnote (0.10.2-1) unstable; urgency=low

  * New upstream release:
   - uses xrandr to determine the current resolution (closes: #448091)
   - 0.10.2 version follows the standard (closes: #457551)
  * Boosted standards version to 3.7.3 (no changes needed)
  * keyjnote-gettransitions got fresh upstream version
  * Bye bye dpatch (and I like no lintian complaints ;-))



=== debian/control ===
Source: impressive
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python,
                     perl,
                     texlive-latex-base,
                     latex-beamer,
                     texlive-fonts-recommended,
                     texlive-pictures,
                     xvfb,
                     xauth,
                     python-pygame,
                     python-imaging,
                     libgl1-mesa-dri,
                     poppler-utils | mupdf-tools | xpdf-utils (>= 3.02-2),
                     pdftk
Standards-Version: 3.9.6
Vcs-Browser: http://git.onerussian.com/?p=deb/impressive.git
Vcs-Git: http://git.onerussian.com/vcs/deb/impressive.git
Homepage: http://impressive.sourceforge.net/

Package: impressive
Architecture: all
Depends: python,
         ${misc:Depends},
         python-pygame,
         python-pil | python-imaging,
         poppler-utils | mupdf-tools | xpdf-utils (>= 3.02-2)
Recommends: mplayer,
            pdftk,
            perl,
            xdg-utils
Suggests: ghostscript,
          latex-beamer
Conflicts: keyjnote (<< 0.10.2r-0)
Provides: keyjnote
Replaces: keyjnote (<< 0.10.2r-0)
Description: PDF presentation tool with eye candies
 Impressive is a program that displays presentation slides using OpenGL.
 Smooth alpha-blended slide transitions are provided for the sake of eye
 candy, but in addition to this, Impressive offers some unique tools that
 are really useful for presentations. Some of them are:
  * Overview screen
  * Highlight boxes
  * Spotlight effect
  * Presentation scripting and customization
  * Support of movies presentation
  * Active hyperlinks within PDFs

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
uver = $(shell echo $(debver) | sed -e 's,-[^-]*$$,,g' )
uver_nosvn = $(shell echo $(uver) | sed -e 's,+svn[0-9]*,,g')

PACKAGE = $(shell dh_listpackages | head -1)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_build: debian/impressive-gettransitions.1 demo.pdf
	: # nothing to build really

%.1: %.pod
	pod2man --section=1 --release="Debian Project" \
	        --center="Debian GNU/Linux manual" $^ \
	> $@

demo.pdf: debian/demo.tex
	@mkdir -p build
	{ cd build && pdflatex ../$^ && mv demo.pdf ..; }
	@rm -rf build

override_dh_clean:
	dh_clean $* debian/impressive-gettransitions.1

override_dh_auto_install:
	install --mode=755 impressive.py $(TMP)/usr/share/impressive/impressive.py
	: # install a handy script for latex users
	install --mode=755 debian/misc/gettransitions $(TMP)/usr/bin/impressive-gettransitions

override_dh_installman:
	dh_installman impressive.1 debian/impressive-gettransitions.1

override_dh_installdocs:
	dh_installdocs impressive.html

override_dh_compress:
	dh_compress -X.pdf


get-orig-source:
	svnrev=$$(git log remotes/git-svn^..remotes/git-svn \
	 | sed -ne '/git-svn-id:/s,.*@\([0-9]*\) .*,\1,gp'); \
	echo "I: SVN revision $$svnrev"; \
    uver_new="$(uver_nosvn)+svn$$svnrev"; \
	echo "I: New version will be $$uver_new"; \
    git archive --format=tar --prefix=$(srcpkg)-$$uver_new/ remotes/git-svn | \
        gzip -9 > $(srcpkg)_$$uver_new.orig.tar.gz

## impressive 0.11.2

=== debian/changelog ===
impressive (0.11.2-1~nd17.04+1) zesty; urgency=medium

  * Backported for zesty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 19 Dec 2017 14:48:44 -0500

impressive (0.11.2-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - policy boost to 4.1.2
    - compat boost to 9
    - mupdf-tools (>= 1.5) is the primary recommended renderer now
    - removed mentioning of long obsolete xpdf-tools

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Dec 2017 12:40:40 -0500

impressive (0.11.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the build dependency from latex-beamer
    to texlive-latex-recommended. (Closes: #867092)

 -- Adrian Bunk <bunk@debian.org>  Tue, 15 Aug 2017 13:01:55 +0300

impressive (0.11.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: texlive-latex-extra to fix a FTBFS (Closes: #852911).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 04 Feb 2017 14:59:00 +0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: impressive
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python,
                      perl,
                      texlive-latex-base,
-                     latex-beamer,
+                     texlive-latex-extra | latex-beamer,
+                     texlive-latex-recommended (>= 2013.20140408-1) | latex-beamer,
                      texlive-fonts-recommended,
                      texlive-pictures,
                      xvfb,
@@ -14,20 +16,20 @@
                      python-pygame,
                      python-imaging,
                      libgl1-mesa-dri,
-                     poppler-utils | mupdf-tools | xpdf-utils (>= 3.02-2),
-                     pdftk
-Standards-Version: 3.9.6
+                     mupdf-tools (>= 1.5) | xpoppler-utils,
+                     pdftk,
+Standards-Version: 4.1.2
 Vcs-Browser: http://git.onerussian.com/?p=deb/impressive.git
 Vcs-Git: http://git.onerussian.com/vcs/deb/impressive.git
 Homepage: http://impressive.sourceforge.net/
 
 Package: impressive
 Architecture: all
-Depends: python,
+Depends: neurodebian-popularity-contest, python,
          ${misc:Depends},
          python-pygame,
          python-pil | python-imaging,
-         poppler-utils | mupdf-tools | xpdf-utils (>= 3.02-2)
+         mupdf-tools (>= 1.5) | xpoppler-utils,
 Recommends: mplayer,
             pdftk,
             perl,

## impressive 0.12.0

=== debian/changelog ===
impressive (0.12.0-2) unstable; urgency=medium

  * Remove hard dependency on pdftk, keep it only in Suggests since
    impressive could still make use of it at times (Closes: #893704)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Apr 2018 10:28:56 -0400

impressive (0.12.0-1) unstable; urgency=medium

  * New upstream release
    - fixes an issue with automated presentations
    - improved support for videos
  * debian/control
    - recommend ffmpeg to be used to generate video thumbnails

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Feb 2018 09:58:52 -0500

impressive (0.11.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update the build dependency from python-imaging to python-pil,
    also drop the alternative dependency on python-imaging.
    (Closes: #866433)

 -- Adrian Bunk <bunk@debian.org>  Sat, 03 Feb 2018 14:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: impressive
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 9)
@@ -14,10 +13,9 @@
                      xvfb,
                      xauth,
                      python-pygame,
-                     python-imaging,
+                     python-pil,
                      libgl1-mesa-dri,
                      mupdf-tools (>= 1.5) | xpoppler-utils,
-                     pdftk,
 Standards-Version: 4.1.2
 Vcs-Browser: http://git.onerussian.com/?p=deb/impressive.git
 Vcs-Git: http://git.onerussian.com/vcs/deb/impressive.git
@@ -25,17 +23,18 @@
 
 Package: impressive
 Architecture: all
-Depends: neurodebian-popularity-contest, python,
+Depends: python,
          ${misc:Depends},
          python-pygame,
-         python-pil | python-imaging,
+         python-pil,
          mupdf-tools (>= 1.5) | xpoppler-utils,
 Recommends: mplayer,
-            pdftk,
+            ffmpeg,
             perl,
             xdg-utils
 Suggests: ghostscript,
-          latex-beamer
+          latex-beamer,
+          pdftk,
 Conflicts: keyjnote (<< 0.10.2r-0)
 Provides: keyjnote
 Replaces: keyjnote (<< 0.10.2r-0)

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3

http://sf.net/impressive/ Impressive-(.*)\.tar\.gz debian git-import-orig

## impressive 0.13.0~beta2

=== debian/changelog ===
impressive (0.13.0~beta2-2ubuntu0.1) jammy; urgency=medium

  * Apply upstream fix to find correct SDL library. (LP: #1969968)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Dec 2023 17:49:43 +0000

impressive (0.13.0~beta2-2) unstable; urgency=medium

  * debian/patches/up_crash_fix
    - upstream fix for a crash issue reported outside of BTS
  * debian/{control,compat} -- boost to 10

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Jan 2022 14:35:35 -0500

impressive (0.13.0~beta2-1) unstable; urgency=medium

  * Fresh upstream beta:
    - should provide better Python3 compatibility (Closes: #961707)
  * debian/copyright
    - machine readable
    - exclude "impressive" binary shipped by upstream now
  * debian/watch
    - no longer use git-import-orig

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Jun 2020 15:20:13 -0400

impressive (0.13.0~beta1a-1) unstable; urgency=medium

  * Upstream beta release
    - python3 compatible, so all depends switched to python3- counterparts
      (Closes: #956337, #912518)
  * Fixed up (B-)Depends to fix typo in xpoppler-utils (there should be no x).
    Thanks Nick for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Apr 2020 17:32:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: impressive
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python,
+Build-Depends: debhelper (>= 10)
+Build-Depends-Indep: python3,
                      perl,
                      texlive-latex-base,
                      texlive-latex-extra | latex-beamer,
@@ -12,10 +13,10 @@
                      texlive-pictures,
                      xvfb,
                      xauth,
-                     python-pygame,
-                     python-pil,
+                     python3-pygame,
+                     python3-pil,
                      libgl1-mesa-dri,
-                     mupdf-tools (>= 1.5) | xpoppler-utils,
+                     mupdf-tools (>= 1.5) | poppler-utils,
 Standards-Version: 4.1.2
 Vcs-Browser: http://git.onerussian.com/?p=deb/impressive.git
 Vcs-Git: http://git.onerussian.com/vcs/deb/impressive.git
@@ -23,11 +24,11 @@
 
 Package: impressive
 Architecture: all
-Depends: python,
+Depends: python3,
          ${misc:Depends},
-         python-pygame,
-         python-pil,
-         mupdf-tools (>= 1.5) | xpoppler-utils,
+         python3-pygame,
+         python3-pil,
+         mupdf-tools (>= 1.5) | poppler-utils,
 Recommends: mplayer,
             ffmpeg,
             perl,

## impressive 0.13.1

=== debian/changelog ===
impressive (0.13.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace calls to PIL.Image.ANTIALIAS for PIL.Image.LANCZOS due to
    changes in PIL's API (Closes: #1047864)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 15 Aug 2023 12:21:30 -0600

impressive (0.13.1-1) unstable; urgency=medium

  * Fresh upstream release
    - remove debian/patches/up_crash_fix which is upstreamed
  * d/copyright
    - finally added copyright for myself and fixed debian files listing

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Mar 2022 08:56:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: impressive
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10)
@@ -8,7 +7,7 @@
                      perl,
                      texlive-latex-base,
                      texlive-latex-extra | latex-beamer,
-                     texlive-latex-recommended (>= 2013.20140408-1) | latex-beamer,
+                     texlive-latex-recommended (>= 2013.20140408~) | latex-beamer,
                      texlive-fonts-recommended,
                      texlive-pictures,
                      xvfb,

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3

http://sf.net/impressive/ Impressive-(.*)\.tar\.gz

## impressive 0.13.2

=== debian/changelog ===
impressive (0.13.2-0.1~mx21+1) mx; urgency=medium

  * Fresh upstream release
  * Update copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Nov 2024 10:00:05 -0800

=== debian/control ===
Source: impressive
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: libgl1-mesa-dri,
                     mupdf-tools (>= 1.5) | poppler-utils,
                     perl,
                     python3,
                     python3-pil,
                     python3-pygame,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra | latex-beamer,
                     texlive-latex-recommended (>= 2013.20140408~) | latex-beamer,
                     texlive-pictures,
                     xauth,
                     xvfb
Standards-Version: 4.1.2
Vcs-Browser: http://git.onerussian.com/?p=deb/impressive.git
Vcs-Git: http://git.onerussian.com/vcs/deb/impressive.git
Homepage: http://impressive.sourceforge.net/

Package: impressive
Architecture: all
Depends: mupdf-tools (>= 1.5) | poppler-utils,
         python3,
         python3-pil,
         python3-pygame,
         ${misc:Depends}
Recommends: ffmpeg, mplayer, perl, xdg-utils
Suggests: ghostscript, latex-beamer, pdftk
Conflicts: keyjnote (<< 0.10.2r-0)
Provides: keyjnote
Replaces: keyjnote (<< 0.10.2r-0)
Description: PDF presentation tool with eye candies
 Impressive is a program that displays presentation slides using OpenGL.
 Smooth alpha-blended slide transitions are provided for the sake of eye
 candy, but in addition to this, Impressive offers some unique tools that
 are really useful for presentations. Some of them are:
  * Overview screen
  * Highlight boxes
  * Spotlight effect
  * Presentation scripting and customization
  * Support of movies presentation
  * Active hyperlinks within PDFs

## impressive 0.13.2+dfsg

=== debian/changelog ===
impressive (0.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Python team
  * d/watch: version=5
  * Secure URI in Homepage + Source
  * Fix clean target
    Closes: #1045848
  * Remove outdated lintian-overrides
  * d/watch: Make sure repack creates proper version
  * d/copyright: Exclude demo.pdf which will be recreated anyway
  * d/rules: Drop get-orig-source target
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jan 2026 07:51:39 +0100

=== debian/control ===
Source: impressive
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: x11
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 python3,
 perl,
 texlive-latex-base,
 texlive-latex-extra | latex-beamer,
 texlive-latex-recommended | latex-beamer,
 texlive-fonts-recommended,
 texlive-pictures,
 xvfb,
 xauth,
 python3-pygame,
 python3-pil,
 libgl1-mesa-dri,
 mupdf-tools | poppler-utils,
Vcs-Browser: https://salsa.debian.org/python-team/packages/impressive
Vcs-Git: https://salsa.debian.org/python-team/packages/impressive.git
Homepage: https://impressive.sourceforge.net/

Package: impressive
Architecture: all
Depends:
 python3,
 ${misc:Depends},
 python3-pygame,
 python3-pil,
 mupdf-tools | poppler-utils,
Recommends:
 mplayer,
 ffmpeg,
 perl,
 xdg-utils,
Suggests:
 ghostscript,
 latex-beamer,
 pdftk,
Conflicts:
 keyjnote (<< 0.10.2r-0),
Provides:
 keyjnote,
Replaces:
 keyjnote (<< 0.10.2r-0),
Description: PDF presentation tool with eye candies
 Impressive is a program that displays presentation slides using OpenGL.
 Smooth alpha-blended slide transitions are provided for the sake of eye
 candy, but in addition to this, Impressive offers some unique tools that
 are really useful for presentations. Some of them are:
  * Overview screen
  * Highlight boxes
  * Spotlight effect
  * Presentation scripting and customization
  * Support of movies presentation
  * Active hyperlinks within PDFs

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-
-srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
-debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
-uver = $(shell echo $(debver) | sed -e 's,-[^-]*$$,,g' )
-uver_nosvn = $(shell echo $(uver) | sed -e 's,+svn[0-9]*,,g')
 
 PACKAGE = $(shell dh_listpackages | head -1)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
@@ -40,14 +35,3 @@
 
 override_dh_compress:
 	dh_compress -X.pdf
-
-
-get-orig-source:
-	svnrev=$$(git log remotes/git-svn^..remotes/git-svn \
-	 | sed -ne '/git-svn-id:/s,.*@\([0-9]*\) .*,\1,gp'); \
-	echo "I: SVN revision $$svnrev"; \
-    uver_new="$(uver_nosvn)+svn$$svnrev"; \
-	echo "I: New version will be $$uver_new"; \
-    git archive --format=tar --prefix=$(srcpkg)-$$uver_new/ remotes/git-svn | \
-        gzip -9 > $(srcpkg)_$$uver_new.orig.tar.gz
-

=== debian/watch ===
Version: 5

Source: https://sf.net/impressive/
Matching-Pattern: Impressive-(.*)\.tar\.gz
Repack-Suffix: +dfsg
Dversion-Mangle: auto
